package com.qmth.sop.task.job;

import com.qmth.sop.common.enums.ExceptionResultEnum;
import com.qmth.sop.task.job.service.JobService;
import org.quartz.JobExecutionContext;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * @Description: 纷享销客派单推送定时任务
 * @Author: CaoZixuan
 * @Date: 2023-10-27
 */
public class FxxkCrmSyncJob extends QuartzJobBean {
    @Resource
    JobService jobService;


    @Override
    protected void executeInternal(JobExecutionContext context) {
        try {
            jobService.fxxkCrmSync();
        } catch (Exception e) {
            throw ExceptionResultEnum.ERROR.exception(e.getMessage());
        }
    }
}
